Bug 18378

Summary: WebStack: Missing method implementations
Product: [Mono] Class Libraries Reporter: Miguel de Icaza [MSFT] <miguel>
Component: SystemAssignee: Bugzilla <bugzilla>
Status: RESOLVED FIXED    
Severity: major CC: mohitk, mono-bugs+mono, sebastien
Priority: ---    
Version: unspecified   
Target Milestone: Untriaged   
Hardware: PC   
OS: Mac OS   
Tags: Is this bug a regression?: ---
Last known good build:

Description Miguel de Icaza [MSFT] 2014-03-13 21:25:17 UTC
The commit 42daa4fd3afe23bdc839dc3e911495651618b853 introduced a number of new methods to HttpWebRequest and WebRequest but the actual body implementations were never added.

Users of a new OData client (whose source code I do not posses) are running into these missing APIs.

The methods are:

HttpWebRequest.cs/SupportsCookieContainer

WebRequest.cs/CreateHttp

WebResponse.cs/SupportsHeaders
Comment 1 Miguel de Icaza [MSFT] 2014-03-13 22:55:16 UTC
Fixed in mono-3.4.0-branch on:
   5ec989143f2a1f9105f59e8ef8a076ff26ed64bd
   77d00e19fc990fb0cc46bab3bb65c803e17fd1b6

Fixed on mono/master on:
   0a13aae80eb9c161f89916dc789339386a1bcdca
   9566a1fd9e355e9408bcbe0ec3fcc69478dc52ac
Comment 2 Sebastien Pouliot 2014-04-15 21:24:42 UTC
7.2.1 (beta, waiting promotion to stable) follows mono-3.4.0-branch and has both commits
Comment 3 Mohit Kheterpal 2014-06-03 09:55:30 UTC
I have checked this issue and now this issue does not exist as shown in screencast : http://screencast.com/t/Ssm6Arua

Hence closing this issue.

Environment info:
=== Xamarin Studio ===

Version 5.1 (build 327)
Installation UUID: 449f40dd-b3f1-4028-9a6b-cca0d1a2307d
Runtime:
	Mono 3.4.0 ((no/c3fc3ba)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 304000204

=== Apple Developer Tools ===

Xcode 5.1.1 (5085)
Build 5B1008

=== Xamarin.iOS ===

Version: 7.2.99.420 (Enterprise Edition)
Hash: 5aa4bec
Branch: 
Build date: 2014-06-02 00:04:26-0400

=== Xamarin.Android ===

Version: 4.14.0 (Enterprise Edition)
Android SDK: /Users/360logicaxamarinmacmini/Desktop/android-sdk-macosx_Róbert_à
	Supported Android versions:
		1.6   (API level 4)
		2.1   (API level 7)
		2.2   (API level 8)
		2.3   (API level 10)
		3.1   (API level 12)
		3.2   (API level 13)
		4.0   (API level 14)
		4.0.3 (API level 15)
		4.1   (API level 16)
		4.2   (API level 17)
		4.3   (API level 18)
		4.4   (API level 19)
Java SDK: /usr
java version "1.6.0_65"
Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-11M4609)
Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)

=== Xamarin.Mac ===

Xamarin.Mac: 1.8.0.7

=== Build Information ===

Release ID: 501000327
Git revision: 9a4bf62f59ec39169e4e9b61c3816a03c8ac961f
Build date: 2014-06-03 06:01:06-04
Xamarin addins: b68a34ef2fc4c46b045dc38e26fb199bfe1b201d

=== Operating System ===

Mac OS X 10.8.4
Darwin 360Logicas-Mac-mini.local 12.4.0 Darwin Kernel Version 12.4.0
    Sun Mar 10 18:01:10 PDT 2013
    root:xnu-2050.24.6~1/RELEASE_X86_64 x86_64